; INCLUDE PRO ADRESACI HARDWARE
; PRO PROCESOR V KAZETE 486DX
; POHONY YASKAWA - TRUMATIC

COM1BASE                EQU     8008H   ; TL16C550A COM1
COM2BASE                EQU     8010H   ; TL16C550A COM2
LONGIO                  EQU     4000H
TESTBASE                EQU     0A4H

IN_PORT_MUX_1           EQU     0A0H    ; PREPINANE VSTUPY 1     
IN_PORT_MUX_2           EQU     0A1H    ; PREPINANE VSTUPY 2
IN_PORT_MUX_3           EQU     0A2H    ; PREPINANE VSTUPY 3 - RYCHLE


;RIDICI SLOVA PRO MH107
CONTROL_107		EQU	010H	; normalni rezim
CONTROL_107_RES		EQU	090H	; reset citace
CONTROL_107_MD		EQU	012H	; merici sonda
CONTROL_107_NI		EQU	011H	; nulovani od nul.pulsu
STATUS_107_CHNI		EQU	040H	; chyba nastaveni polohy
STATUS_107_CHVG		EQU	020H	; chyba sign. V,G
STATUS_107_MD		EQU	002H	; signal od MD
STATUS_107_NI		EQU	001H	; zachycena NI

PORT_OSA_VR_LOW		EQU	0402EH	; ADRESA VYST. NAPETI LOW VRETENA
PORT_OSA_VR_HIGH	EQU	0402AH	; ADRESA VYST. NAPETI HIGH VRETENA
PORT_OSA_VR_STAV	EQU	04028H	; ADRESA STATUSU VRETENA
PORT_IRC_VR_LOW		EQU	04029H	; ADRESA SNIMANI IRC LOW VRETENE
PORT_IRC_VR_HIGH	EQU	04029H	; ADRESA SNIMANI IRC HIGH VRETENE
PORT_RESET_VR 	        EQU	0402CH	; RESET NASOBICEK

PORT_OSA_X_LOW		EQU	04006H	; ADRESA VYST. NAPETI LOW OSA X
PORT_OSA_X_HIGH		EQU	04002H	; ADRESA VYST. NAPETI HIGH OSA X
PORT_OSA_X_STAV		EQU	04000H	; ADRESA STATUSU PRO OSU X
PORT_IRC_X_LOW		EQU	04001H	; ADRESA SNIMANI IRC LOW OSA X
PORT_IRC_X_HIGH		EQU	04001H	; ADRESA SNIMANI IRC HIGH OSA X
PORT_RESET_X  	        EQU	04004H	; RESET NASOBICEK

PORT_OSA_Y_LOW		EQU	0400EH	; ADRESA VYST. NAPETI LOW OSA Y
PORT_OSA_Y_HIGH		EQU	0400AH	; ADRESA VYST. NAPETI HIGH OSA Y
PORT_OSA_Y_STAV		EQU	04008H	; ADRESA STATUSU PRO OSU Y
PORT_IRC_Y_LOW		EQU	04009H	; ADRESA SNIMANI IRC LOW OSA Y
PORT_IRC_Y_HIGH		EQU	04009H	; ADRESA SNIMANI IRC HIGH OSA Y
PORT_RESET_Y  	        EQU	0400CH	; RESET NASOBICEK

PORT_OSA_Z_LOW		EQU	04016H	; ADRESA VYST. NAPETI LOW OSA Z
PORT_OSA_Z_HIGH 	EQU	04012H	; ADRESA VYST. NAPETI HIGH OSA Z
PORT_OSA_Z_STAV	        EQU	04010H	; ADRESA STATUSU PRO OSU Z
PORT_IRC_Z_LOW		EQU	04011H	; ADRESA SNIMANI IRC LOW OSA Z
PORT_IRC_Z_HIGH	        EQU	04011H	; ADRESA SNIMANI IRC HIGH OSA Z;
PORT_RESET_Z  	        EQU	04014H	; RESET NASOBICEK

PORT_OSA_4_LOW		EQU	04026H	; ADRESA VYST. NAPETI LOW OSA 4
PORT_OSA_4_HIGH		EQU	04022H	; ADRESA VYST. NAPETI HIGH OSA 4
PORT_OSA_4_STAV		EQU	04020H	; ADRESA STATUSU PRO OSU 4
PORT_IRC_4_LOW		EQU	04021H	; ADRESA SNIMANI IRC LOW OSA 4
PORT_IRC_4_HIGH		EQU	04021H	; ADRESA SNIMANI IRC HIGH OSA 4
PORT_RESET_4  	        EQU	04024H	; RESET NASOBICEK

PORT_OSA_5_LOW		EQU	0402EH	; ADRESA VYST. NAPETI LOW OSA 5
PORT_OSA_5_HIGH		EQU	0402AH	; ADRESA VYST. NAPETI HIGH OSA 5
PORT_OSA_5_STAV		EQU	04028H	; ADRESA STATUSU PRO OSU 5
PORT_IRC_5_LOW		EQU	04029H	; ADRESA SNIMANI IRC LOW OSA 5
PORT_IRC_5_HIGH		EQU	04029H	; ADRESA SNIMANI IRC HIGH OSA 5
PORT_RESET_5  	        EQU	0402CH	; RESET NASOBICEK

PORT_OSA_6_LOW		EQU	04036H	; ADRESA VYST. NAPETI LOW OSA 6
PORT_OSA_6_HIGH		EQU	04032H	; ADRESA VYST. NAPETI HIGH OSA 6
PORT_OSA_6_STAV		EQU	04030H	; ADRESA STATUSU PRO OSU 6
PORT_IRC_6_LOW		EQU	04031H	; ADRESA SNIMANI IRC LOW OSA 6
PORT_IRC_6_HIGH		EQU	04031H	; ADRESA SNIMANI IRC HIGH OSA 6
PORT_RESET_6  	        EQU	04034H	; RESET NASOBICEK

PORT_OSA_TOC_LOW	EQU	0401EH	; ADRESA VYST. NAPETI LOW OSA 5
PORT_OSA_TOC_HIGH	EQU	0401AH	; ADRESA VYST. NAPETI HIGH OSA 5
PORT_TOC_STAV		EQU	04018H	; ADRESA STATUSU PRO TOCITKO
PORT_TOC_LOW		EQU	04019H	; ADRESA SNIMANI IRC LOW TOCITKA
PORT_TOC_HIGH		EQU	04019H	; ADRESA SNIMANI IRC HIGH TOCITKA
PORT_RESET_TOC 	        EQU	0401CH	; RESET NASOBICEK

PORT_KOPIR_STAV		EQU	04018H	; ADRESA STATUSU PRO TOCITKO
PORT_KOPIR_LOW		EQU	04019H	; ADRESA SNIMANI IRC LOW TOCITKA
PORT_KOPIR_HIGH		EQU	04019H	; ADRESA SNIMANI IRC HIGH TOCITKA

;DEROVANI A CTENI FOTOSNIMACE NA DTI002
PORT_WRITE_1		EQU	050H
PORT_WRITE_2		EQU	051H
PORT_READ_1		EQU	050H
PORT_READ_2		EQU	052H




; ************** Pro pohon YASKAWA ************

PORT_OSA_X4             EQU     000H    ; BASE 1. AZ 4. OSY
;PORT_OSA_58            EQU     010H    ; BASE 5. AZ 8. OSY

PORT_OSA_CONTROL	EQU	04000H	; RIDICI VYSTUP 
PORT_OSA_DATA   	EQU	04001H	; DATOVY VYSTUP
PORT_OSA_STATUS         EQU	04000H	; VSTUP STAVU DESKY 
PORT_OSA_INPUT          EQU	04001H	; VSTUP SIGNALU Z POHONU 


;POPIS OVLADANI DESKY SU8X

;1) Bazova adresa: SW1 ON, SW2 ON, SW3 ON: BA=0.     Shodne s deskou SU
;                  SW1 ON, SW2 OFF,SW3 ON: BA=10H
;                  SW1 ON, SW2 ON, SW3 OFF:BA=20H
;                  SW1 ON, SW2 OFF,SW3 OFF:BA=30H
;                  SW1 OFF,SW2 ON, SW3 ON: BA=40H    

;2) Vystupni registry: BA+1 - Konfiguracni registr. Sem se po resetu zapisuji
;   PORT_OSA_X4_DATA          konfiguracni data. Jediny pristupny pred dokon-
;                             cenim konfigurace. Po dokonceni konfigurace ma
;                             jiny vyznam.

;   PORT_OSA_X4_CONTROL: BA+0 - Ridici registr. 
;                           Bit 0 :  1 - Zapne rezim najezdu do reference 1. osy 
;                           Bit 1 :  1 - Zapne rezim najezdu do reference 2. osy 
;                           Bit 2 :  1 - Zapne rezim najezdu do reference 3. osy 
;                           Bit 3 :  1 - Zapne rezim najezdu do reference 4. osy 
;                           Bit 4 :  1 - Uvolni vystup pulsu do vsech os
;                           Bit 5 :  1 - Uvolni vystup zadosti o preruseni 
;                                        na konci vysilaci periody.

;   PORT_OSA_X4_DATA: BA+1 - Datovy registr.
;                           Do nej se zapisuji pocty pulsu, ktere se maji vyslat
;                           v nasledujici 5ms vysilaci periode do vsech os. Pocy
;                           pulsu jsou ve tvaru 10 bitu kladne cislo se znamen-
;                           kem, max. velikosi 2FFH! (znamenko bit 15) 
;                           a zapisuji se v poradi: nizsi byte 1. osy, vyzsi byte
;                           1.osy, nizsi byte 2.osy...vyzsi byte 4.osy. 
;                           Je nutno zapsat vzdy vsech 8 bytu. 

;3) Vstupni registry: 
;  PORT_OSA_X4_STATUS   BA+0 - Citac zapisu.
;                           Bit 0 : Bit5: Citac zapisovanych bytu. Po kazdem 
;                            zapisu se jeho obsah zvysi o 1. Pred zacatkem zapisu
;                            8mi bytu pro dalsi vysilaci periodu musi byt bity
;                            0-2 rovny 0. ( Zapis musi zacinat na cele osmici)
;                           Bit 6 : Chybny pocet zapisu. Je nastaven, pokud pri
;                            prepisovani dat z mezipameti do vystupnich pameti
;                            predchazel jiny pocet zapisu nez 8 nebo pokud zapi-
;                            sy nezacinaly na cele osmici.
;                           Bit 7 : 1- Mezipameti jsou prazdne, je mozno psat
;                            dalsich 8 bytu. Tento bit vystupuje take jako
;                            zadost o preruseni (pokud je povoleno). Je nastavo-
;                            van kazdych cca 5 ms. Shazuje se prvnim zapisem.

;   PORT_OSA_X4_INPUT:   BA+1 - Vstupni slovo.
;                           Bit 0 : 1 - Referencni bod osy 1 dosazen.
;                           Bit 1 : 1 - Odchylka v ose 1 je mensi nez limit.
;                           Bit 2 : 1 - Referencni bod osy 2 dosazen.
;                           Bit 3 : 1 - Odchylka v ose 2 je mensi nez limit.
;                           Bit 4 : 1 - Referencni bod osy 3 dosazen.
;                           Bit 5 : 1 - Odchylka v ose 3 je mensi nez limit.
;                           Bit 6 : 1 - Referencni bod osy 4 dosazen.
;                           Bit 7 : 1 - Odchylka v ose 4 je mensi nez limit.


